local status, neoscroll = pcall(require, "neoscroll")
if not status then
  vim.notify("没找到neoscroll")
  return
end

neoscroll.setup({
  hide_cursor = true,
})

local t = {}
-- Syntax: t[keys] = {function, {function arguments}}
t["<C-k>"] = { "scroll", { "-vim.wo.scroll", "true", "300", [['sine']] } }
t["<C-j>"] = { "scroll", { "vim.wo.scroll", "true", "300", [['sine']] } }
t["<C-b>"] = { "scroll", { "-vim.api.nvim_win_get_height(0)", "true", "20" } }
t["<C-f>"] = { "scroll", { "vim.api.nvim_win_get_height(0)", "true", "20" } }
t["<C-y>"] = { "scroll", { "-0.10", "false", "100" } }
t["<C-e>"] = { "scroll", { "0.10", "false", "100" } }
t["zt"] = { "zt", { "250" } }
t["zz"] = { "zz", { "250" } }
t["zb"] = { "zb", { "250" } }

require("neoscroll.config").set_mappings(t)
